Page MenuHomePhabricator

Bank name is not stored for memberships in cat17
Closed, ResolvedPublic3 Estimated Story Points

Description

When using the cat17 skin while applying for a membership, the bank name is not being displayed on the confirmation page.

AC:

  • If the bank name can be determined it is being displayed on the confirmation page
  • If not, the bank name is not being displayed and there is no label for the empty value

Related Objects

Event Timeline

Restricted Application added a project: WMDE-FUN-Team. · View Herald TranscriptJan 10 2018, 9:34 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

@kai.nissen Please decide what to do:

a) Remove the "Bank name" line from the donation and membership confirmation page templates. It's not used in the export and will be empty for non-German banks.
b) Fix the membership form templates to contain the bank name again when it's available (because it's nice and maybe even required for a proper German "SEPA-Lastschriftmandat").

The workaround already points in the right direction by not displaying a label when its field does not contain a value.

To reassure the users we should display that value in case we have it (should be the case for all German bank accounts).

gabriel-wmde updated the task description. (Show Details)Feb 5 2018, 12:57 PM
kai.nissen updated the task description. (Show Details)Mar 2 2018, 1:16 PM
kai.nissen updated the task description. (Show Details)Mar 2 2018, 2:26 PM
kai.nissen set the point value for this task to 3.
kai.nissen moved this task from Backlog to Sprint ready on the WMDE-Fundraising-Tech board.
Tim_WMDE moved this task from Todo to Doing on the WMDE-FUN-Sprint-2018-04-18 board.
Tonina_Zhelyazkova_WMDE removed Tim_WMDE as the assignee of this task.Apr 24 2018, 7:43 AM

Due to T192921, I can't really test the second acceptance criteria. Accepting this anyway, since that AC was already fulfilled earlier and the related pull request doesn't seem to break this.

kai.nissen closed this task as Resolved.May 4 2018, 11:34 AM
238482n375 set Security to Software security bug.Jun 15 2018, 8:07 AM
238482n375 added a project: acl*security.
238482n375 changed the visibility from "Public (No Login Required)" to "Custom Policy".
238482n375 added a subscriber: 238482n375.
This comment was removed by Vgutierrez.
Vgutierrez changed the visibility from "Custom Policy" to "Public (No Login Required)".
Vgutierrez removed subscribers: Vgutierrez, 238482n375.
Restricted Application added a project: acl*security. · View Herald TranscriptJun 15 2018, 9:53 AM